{
  "name": "microsoftagent365trigger",
  "display_name": "Microsoft Agent 365 Trigger",
  "description": "Trigger for Microsoft Agent 365",
  "group": [
    "transform"
  ],
  "versions": [
    1.0
  ],
  "inputs": 1,
  "outputs": 1,
  "credentials": [
    {
      "name": "microsoftAgent365Api",
      "required": true
    }
  ],
  "properties": [
    {
      "name": "previewNotice",
      "display_name": "This is an early preview for building Agents with Microsoft Agent 365 and n8n. You need to be part of the <a href=",
      "kind": "notice",
      "required": false,
      "default": ""
    },
    {
      "name": "systemPrompt",
      "display_name": "System Prompt",
      "kind": "string",
      "required": false,
      "default": ""
    },
    {
      "name": "notice",
      "display_name": "Connect an <a data-action=",
      "kind": "notice",
      "required": false,
      "default": ""
    },
    {
      "name": "needsFallback",
      "display_name": "Enable Fallback Model",
      "kind": "boolean",
      "required": false
    },
    {
      "name": "fallbackNotice",
      "display_name": "Connect an additional language model on the canvas to use it as a fallback if the main model fails",
      "kind": "notice",
      "required": false,
      "default": ""
    },
    {
      "name": "useMcpTools",
      "display_name": "Enable Microsoft Work IQ Tools for A365",
      "kind": "boolean",
      "required": false,
      "description": "Whether to allow the agent to use Microsoft MCP tools like Calendar, Email, and OneDrive to assist in completing tasks. Requires appropriate permissions in your Microsoft account."
    },
    {
      "name": "include",
      "display_name": "Tools to Include",
      "kind": "options",
      "required": false,
      "default": "all"
    },
    {
      "name": "includeTools",
      "display_name": "Tools to Include",
      "kind": "multiOptions",
      "required": false
    },
    {
      "name": "hasOutputParser",
      "display_name": "Require Specific Output Format",
      "kind": "boolean",
      "required": false
    },
    {
      "name": "options",
      "display_name": "Options",
      "kind": "collection",
      "required": false,
      "default": "Hello! I",
      "description": "The maximum number of iterations the agent will run before stopping"
    }
  ],
  "source_path": "/home/mcochran/n8n/packages/@n8n/nodes-langchain/nodes/vendors/Microsoft/MicrosoftAgent365Trigger.node.ts"
}